Bug 606684 - [abrt] crash in rhythmbox-0.12.8-4.fc13: idevice_get_uuid: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] crash in rhythmbox-0.12.8-4.fc13: idevice_get_uuid: Process /usr/bin/r...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgpod (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:c1facf8a91ae49abb57ba8d718b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 04:48 EDT by jarl ostensen
Modified: 2011-06-27 14:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:43:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.40 KB, text/plain)
2010-06-22 04:49 EDT, jarl ostensen
no flags Details

  None (edit)
Description jarl ostensen 2010-06-22 04:48:30 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: rhythmbox
component: rhythmbox
crash_function: idevice_get_uuid
executable: /usr/bin/rhythmbox
global_uuid: c1facf8a91ae49abb57ba8d718b3230d758b3ec7
kernel: 2.6.33.5-124.fc13.i686
package: rhythmbox-0.12.8-4.fc13
rating: 4
reason: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.Plugged in iPhone 3G, opened rythmbox
2.Browsed contents, then ejected (from right-click menu in Rythmbox)
3.Rythmbox hung, so unplugged iPhone -> crash
Comment 1 jarl ostensen 2010-06-22 04:49:04 EDT
Created attachment 425857 [details]
File: backtrace
Comment 2 Bastien Nocera 2010-06-22 08:10:36 EDT
Crashes saving the iTunesDB.
Comment 3 Todd Zullinger 2010-06-22 09:16:53 EDT
Jarl,

What versions of libgpod and libimobile device do you have installed?

I think this is likely due to libgpod not being new enough to support the iPhone 3G.  I just pushed an update for F-13 to updates-testing which included some fixes for creating needed directories on iPhone/iPod touch devices.  I don't know yet if we can easily backport those fixes for F-12 or if we can update libgpod there.

Bastien,

I thought about doing an update on F-12, but wasn't positive if the hal->udev swtich would cause any problems.  We should be able to stay with hal if needed, but at the same time, I *think* the udev bits work on F-12 too and it would be one less difference to worry about in the branches.  I don't have any of these devices to test with though, so it's hard for me to build test packages and see if they work.

If either of you want to test an updated libgpod on F-12, let me know and I'll try to build some and update http://tmz.fedorapeople.org/repo/libgpod/ in the next day or so.
Comment 4 Todd Zullinger 2010-06-22 09:56:25 EDT
I went ahead and rebuilt the F-13 packages for F-12 and updated the repo at: http://tmz.fedorapeople.org/repo/libgpod/

Feel free to drop the libgpod.repo into /etc/yum.repos.d or manually grab the fedora 12 packages and let me know if they install cleanly and fix this issue (or cause any new ones).
Comment 5 Bug Zapper 2011-06-01 11:56:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 14:43:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.